Bug 1119033 - Enable statistics module
Summary: Enable statistics module
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: smstools
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Patrick C. F. Ernzer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-13 11:34 UTC by Gerd v. Egidy
Modified: 2015-12-02 10:38 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-02 03:15:22 UTC
gerd: needinfo-


Attachments (Terms of Use)
changes to the spec (1.62 KB, patch)
2014-07-13 11:34 UTC, Gerd v. Egidy
no flags Details | Diff
patch to the smstools-source needed to enable stats output (395 bytes, patch)
2014-07-13 11:36 UTC, Gerd v. Egidy
no flags Details | Diff

Description Gerd v. Egidy 2014-07-13 11:34:50 UTC
Created attachment 917606 [details]
changes to the spec

Description of problem:

smstools includes code to regularly output statistics data. This data can be used to monitor smstools and raise an alarm on connection errors and so on.

The feature is described here:
http://smstools3.kekekasvi.com/index.php?p=statusmonitor

The statistics module has to be enabled during compile time. The current .spec does not do that. 

Version-Release number of selected component (if applicable):
3.1.15-8

I have attached patches for the spec and the source to enable the stats output. Please apply or give feedback how they should be improved.

Comment 1 Gerd v. Egidy 2014-07-13 11:36:20 UTC
Created attachment 917607 [details]
patch to the smstools-source needed to enable stats output

Comment 2 Adhidarma Hadiwinoto 2014-12-31 05:29:08 UTC
Statistic is really a usefull function and should be included. I'm waiting for Gerd's patch to be applied on default fedora package.

Comment 3 Patrick C. F. Ernzer 2015-07-14 14:11:45 UTC
(In reply to Adhidarma Hadiwinoto from comment #2)
> Statistic is really a usefull function and should be included. I'm waiting
> for Gerd's patch to be applied on default fedora package.

sorry for the delay.
I've built this in rawhide http://koji.fedoraproject.org/koji/taskinfo?taskID=10353733

Can either of Gerd or Adhidarma please test and report back if stats work as intended for you?
I can then push this to f21, f22, epel7 (and, if wanted, epel6).

Comment 4 Gerd v. Egidy 2015-08-10 20:54:59 UTC
Hi Patrick,

sorry for answering this late, I've been on vacation and needed to catch up with work afterwards. 

I have tested your build on f22 and it works fine.

For my needs it would be enough if you integrate this in f22+ and epel7.

Comment 5 Fedora Update System 2015-08-25 12:48:24 UTC
smstools-3.1.15-13.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14225

Comment 6 Fedora Update System 2015-08-25 13:28:21 UTC
smstools-3.1.15-13.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14238

Comment 7 Patrick C. F. Ernzer 2015-08-25 13:31:53 UTC
sorry for the delay, been quite swamped on this end too.

merged from master to F22 and F21

epel7 will be more difficult, there seems to be no mm-devel on RHEL7. If you urgently need this on epel7 too, please clone this bug (the F21 enhancement errata will close this bug) and'll look into mm on RHEL, no promises though.

Comment 8 Fedora Update System 2015-08-26 17:24:48 UTC
smstools-3.1.15-13.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smstools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14238

Comment 9 Fedora Update System 2015-08-26 17:27:23 UTC
smstools-3.1.15-13.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update smstools'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14225

Comment 10 Fedora End Of Life 2015-11-04 16:01:49 UTC
This message is a reminder that Fedora 21 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 21. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '21'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 21 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2015-12-02 03:15:26 UTC
Fedora 21 changed to end-of-life (EOL) status on 2015-12-01. Fedora 21 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 12 Patrick C. F. Ernzer 2015-12-02 10:38:17 UTC
wrong closed status. Rectifying.

statistics module is in since smstools-3.1.15-13

EPEL7 will not happen, see comment 7


Note You need to log in before you can comment on or make changes to this bug.